﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using Microsoft.AspNetCore.Mvc;
using TelerikQuestions.Models;

namespace TelerikQuestions.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Customers_Read([DataSourceRequest]DataSourceRequest request)
        {
            var result = GetCustomers().ToDataSourceResult(request);
            return Json(result);
        }

        private IEnumerable<CustomerViewModel> GetCustomers()
        {

            var result = new List<CustomerViewModel>()
            {
                new CustomerViewModel { Name = "name1" },
                new CustomerViewModel { Name = "name2" },
                new CustomerViewModel { Name = "name3" },
                new CustomerViewModel { Name = "name4" }
            };
            return result;
        }


    }
}
